### Function

# Vips ArgumentClass map

#### Declaration [src]

    void*
    vips_argument_class_map (
      VipsObjectClass* object_class,
      VipsArgumentClassMapFn fn,
      void* a,
      void* b
    )

#### Description [src]

And loop over a class. Same as ^^, but with no VipsArgumentInstance.

This function is not directly available to language bindings.

#### Parameters

`object_class`

  Type: `VipsObjectClass`

  No description available.

  The data is owned by the caller of the function.

`fn`

  Type: `VipsArgumentClassMapFn`

  No description available.

`a`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

No description available.

The data is owned by the called function.
The return value can be `NULL`.